
From: Adrian Bunk <bunk@stusta.de>

This patch makes the needlessly global fd_routine static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 dev/null                    |    0 
 include/asm-i386/floppy.h   |    2 +-
 include/asm-parisc/floppy.h |    2 +-
 include/asm-sh/floppy.h     |    2 +-
 include/asm-x86_64/floppy.h |    2 +-
 5 files changed, 4 insertions(+), 4 deletions(-)

diff -puN include/asm-i386/floppy.h~floppy-driver-make-fd_routine-static include/asm-i386/floppy.h
--- 25/include/asm-i386/floppy.h~floppy-driver-make-fd_routine-static	Mon May  2 16:28:50 2005
+++ 25-akpm/include/asm-i386/floppy.h	Mon May  2 16:28:50 2005
@@ -257,7 +257,7 @@ static int hard_dma_setup(char *addr, un
 	return 0;
 }
 
-struct fd_routine_l {
+static struct fd_routine_l {
 	int (*_request_dma)(unsigned int dmanr, const char * device_id);
 	void (*_free_dma)(unsigned int dmanr);
 	int (*_get_dma_residue)(unsigned int dummy);
diff -L include/asm-i386/floppy.h.old -puN /dev/null /dev/null
diff -puN include/asm-parisc/floppy.h~floppy-driver-make-fd_routine-static include/asm-parisc/floppy.h
--- 25/include/asm-parisc/floppy.h~floppy-driver-make-fd_routine-static	Mon May  2 16:28:50 2005
+++ 25-akpm/include/asm-parisc/floppy.h	Mon May  2 16:28:50 2005
@@ -235,7 +235,7 @@ static int hard_dma_setup(char *addr, un
 	return 0;
 }
 
-struct fd_routine_l {
+static struct fd_routine_l {
 	int (*_request_dma)(unsigned int dmanr, const char * device_id);
 	void (*_free_dma)(unsigned int dmanr);
 	int (*_get_dma_residue)(unsigned int dummy);
diff -L include/asm-parisc/floppy.h.old -puN /dev/null /dev/null
diff -puN include/asm-sh/floppy.h~floppy-driver-make-fd_routine-static include/asm-sh/floppy.h
--- 25/include/asm-sh/floppy.h~floppy-driver-make-fd_routine-static	Mon May  2 16:28:50 2005
+++ 25-akpm/include/asm-sh/floppy.h	Mon May  2 16:28:50 2005
@@ -227,7 +227,7 @@ static int hard_dma_setup(char *addr, un
 	return 0;
 }
 
-struct fd_routine_l {
+static struct fd_routine_l {
 	int (*_request_dma)(unsigned int dmanr, const char * device_id);
 	void (*_free_dma)(unsigned int dmanr);
 	int (*_get_dma_residue)(unsigned int dummy);
diff -L include/asm-sh/floppy.h.old -puN /dev/null /dev/null
diff -puN include/asm-x86_64/floppy.h~floppy-driver-make-fd_routine-static include/asm-x86_64/floppy.h
--- 25/include/asm-x86_64/floppy.h~floppy-driver-make-fd_routine-static	Mon May  2 16:28:50 2005
+++ 25-akpm/include/asm-x86_64/floppy.h	Mon May  2 16:28:50 2005
@@ -223,7 +223,7 @@ static int hard_dma_setup(char *addr, un
 	return 0;
 }
 
-struct fd_routine_l {
+static struct fd_routine_l {
 	int (*_request_dma)(unsigned int dmanr, const char * device_id);
 	void (*_free_dma)(unsigned int dmanr);
 	int (*_get_dma_residue)(unsigned int dummy);
diff -L include/asm-x86_64/floppy.h.old -puN /dev/null /dev/null
_
